Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.utils
Class LogFilter

    java.lang.Object
      org.owasp.dependencycheck.utils.LogFilter

All Implemented Interfaces:
  Filter

    public class LogFilter

extends Object
implements Filter

A simple log filter to limit the entries written to the verbose log file. The verbose log file uses the root logger as I couldn't get anything else to work; as such, this filter limits the log entries to specific classes.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Constructor Summary
`LogFilter()`

Method Summary
`boolean` | `isLoggable(LogRecord record)` Determines if the record should be logged.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogFilter

    public LogFilter()

Method Detail

### isLoggable

    public boolean isLoggable(LogRecord record)

  Determines if the record should be logged.

  Specified by:
    `isLoggable` in interface `Filter`
  Parameters:
    `record` - a log record to examine
  Returns:
    true if the record should be logged, otherwise false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.